Skip to main content
GET
/
api
/
v1
/
tasks
/
{id}
/
dependencies
List dependencies of a task.
curl --request GET \
  --url https://api.backside.app/api/v1/tasks/{id}/dependencies \
  --header 'Authorization: Bearer <token>'
[
  {
    "created_at": "2023-11-07T05:31:56Z",
    "dependency_type": "<string>",
    "from_task_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "to_task_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

Task ID

Response

200 - application/json
created_at
string<date-time>
required
dependency_type
string
required
from_task_id
string<uuid>
required
id
string<uuid>
required
tenant_id
string<uuid>
required
to_task_id
string<uuid>
required